const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
programId: '<string>',
templateOverrides: {
logoText: '<string>',
fieldOverrides: {
backFields: [{value: '<string>', key: '<string>', label: '<string>'}],
secondaryFields: [{value: '<string>', key: '<string>', label: '<string>'}],
mergeStrategy: 'MERGE',
primaryFields: [{value: '<string>', key: '<string>', label: '<string>'}],
headerFields: [{value: '<string>', key: '<string>', label: '<string>'}],
auxiliaryFields: [{value: '<string>', key: '<string>', label: '<string>'}]
},
images: {
footerImage: {sourceUrl: '<string>', uploadId: '<string>'},
artworkImage: {sourceUrl: '<string>', uploadId: '<string>'},
logoImage: {sourceUrl: '<string>', uploadId: '<string>'},
iconImage: {sourceUrl: '<string>', uploadId: '<string>'},
backgroundImage: {sourceUrl: '<string>', uploadId: '<string>'},
stripImage: {sourceUrl: '<string>', uploadId: '<string>'},
thumbnailImage: {sourceUrl: '<string>', uploadId: '<string>'}
},
overrideMetadata: {},
overrideReason: '<string>',
maxDistance: 2,
actions: {},
colors: {
backgroundColor: '<string>',
foregroundColor: '<string>',
stripColor: '<string>',
labelColor: '<string>'
}
},
payload: '<string>',
externalId: '<string>',
semanticTagOverrides: {
eventLiveMessage: '<string>',
leagueAbbreviation: '<string>',
venuePhoneNumber: '<string>',
priorityStatus: '<string>',
tailgatingAllowed: true,
seats: [
{
seatIdentifier: '<string>',
seatType: '<string>',
seatDescription: '<string>',
seatSection: '<string>',
seatRow: '<string>',
seatAisle: '<string>',
seatSectionColor: '<string>',
seatNumber: '<string>',
seatLevel: '<string>'
}
],
attendeeName: '<string>',
leagueName: '<string>',
securityScreening: '<string>',
venueEntrance: '<string>',
destinationGate: '<string>',
playlistIDs: ['<string>'],
eventName: '<string>',
vehicleNumber: '<string>',
airplay: [{airPlayDeviceGroupToken: '<string>'}],
homeTeamLocation: '<string>',
silenceRequested: true,
awayTeamAbbreviation: '<string>',
departureAirportCode: '<string>',
vehicleType: '<string>',
departurePlatform: '<string>',
awayTeamLocation: '<string>',
destinationLocationDescription: '<string>',
boardingSequenceNumber: '<string>',
venueEntrancePortal: '<string>',
additionalTicketAttributes: '<string>',
destinationAirportName: '<string>',
membershipProgramNumber: '<string>',
venueOpenDate: '2023-11-07T05:31:56Z',
admissionLevelAbbreviation: '<string>',
currentBoardingDate: '2023-11-07T05:31:56Z',
flightNumber: 123,
artistIDs: ['<string>'],
carNumber: '<string>',
venueName: '<string>',
confirmationNumber: '<string>',
venueParkingLotsOpenDate: '2023-11-07T05:31:56Z',
originalBoardingDate: '2023-11-07T05:31:56Z',
awayTeamName: '<string>',
albumIDs: ['<string>'],
destinationPlatform: '<string>',
homeTeamAbbreviation: '<string>',
sportName: '<string>',
departureAirportName: '<string>',
wifiAccess: [{password: '<string>', ssid: '<string>'}],
eventStartDate: '2023-11-07T05:31:56Z',
passengerName: {
namePrefix: '<string>',
familyName: '<string>',
givenName: '<string>',
nickname: '<string>',
nameSuffix: '<string>',
middleName: '<string>',
phoneticRepresentation: '<string>'
},
destinationAirportCode: '<string>',
vehicleName: '<string>',
entranceDescription: '<string>',
departureGate: '<string>',
venueEntranceGate: '<string>',
venueRoom: '<string>',
venueFanZoneOpenDate: '2023-11-07T05:31:56Z',
venueBoxOfficeOpenDate: '2023-11-07T05:31:56Z',
departureLocationDescription: '<string>',
originalDepartureDate: '2023-11-07T05:31:56Z',
duration: 123,
boardingGroup: '<string>',
currentDepartureDate: '2023-11-07T05:31:56Z',
destinationTerminal: '<string>',
genre: '<string>',
airlineCode: '<string>',
currentArrivalDate: '2023-11-07T05:31:56Z',
admissionLevel: '<string>',
originalArrivalDate: '2023-11-07T05:31:56Z',
eventEndDate: '2023-11-07T05:31:56Z',
departureTerminal: '<string>',
membershipProgramName: '<string>',
transitProvider: '<string>',
flightCode: '<string>',
transitStatusReason: '<string>',
venueGatesOpenDate: '2023-11-07T05:31:56Z',
venueEntranceDoor: '<string>',
performerNames: ['<string>'],
venueDoorsOpenDate: '2023-11-07T05:31:56Z',
transitStatus: '<string>',
venueRegionName: '<string>',
departureStationName: '<string>',
homeTeamName: '<string>',
destinationStationName: '<string>',
venueCloseDate: '2023-11-07T05:31:56Z'
},
membershipStatus: '<string>',
customer: {
firstName: '<string>',
lastName: '<string>',
emailAddress: 'jsmith@example.com',
personalId: '<string>',
lookupSource: '<string>',
phone: '<string>',
mobileNumber: '<string>',
isNew: true,
email: 'jsmith@example.com'
}
})
};
fetch('https://api.platform.getstell.com/v1/apple/passes/secure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.platform.getstell.com/v1/apple/passes/secure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"programId": "<string>",
"templateOverrides": {
"logoText": "<string>",
"fieldOverrides": {
"backFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"secondaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"mergeStrategy": "MERGE",
"primaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"headerFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"auxiliaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
]
},
"images": {
"footerImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"artworkImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"logoImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"iconImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"backgroundImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"stripImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"thumbnailImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
}
},
"overrideMetadata": {},
"overrideReason": "<string>",
"maxDistance": 2,
"actions": {},
"colors": {
"backgroundColor": "<string>",
"foregroundColor": "<string>",
"stripColor": "<string>",
"labelColor": "<string>"
}
},
"payload": "<string>",
"externalId": "<string>",
"semanticTagOverrides": {
"eventLiveMessage": "<string>",
"leagueAbbreviation": "<string>",
"venuePhoneNumber": "<string>",
"priorityStatus": "<string>",
"tailgatingAllowed": true,
"seats": [
{
"seatIdentifier": "<string>",
"seatType": "<string>",
"seatDescription": "<string>",
"seatSection": "<string>",
"seatRow": "<string>",
"seatAisle": "<string>",
"seatSectionColor": "<string>",
"seatNumber": "<string>",
"seatLevel": "<string>"
}
],
"attendeeName": "<string>",
"leagueName": "<string>",
"securityScreening": "<string>",
"venueEntrance": "<string>",
"destinationGate": "<string>",
"playlistIDs": [
"<string>"
],
"eventName": "<string>",
"vehicleNumber": "<string>",
"airplay": [
{
"airPlayDeviceGroupToken": "<string>"
}
],
"homeTeamLocation": "<string>",
"silenceRequested": true,
"awayTeamAbbreviation": "<string>",
"departureAirportCode": "<string>",
"vehicleType": "<string>",
"departurePlatform": "<string>",
"awayTeamLocation": "<string>",
"destinationLocationDescription": "<string>",
"boardingSequenceNumber": "<string>",
"venueEntrancePortal": "<string>",
"additionalTicketAttributes": "<string>",
"destinationAirportName": "<string>",
"membershipProgramNumber": "<string>",
"venueOpenDate": "2023-11-07T05:31:56Z",
"admissionLevelAbbreviation": "<string>",
"currentBoardingDate": "2023-11-07T05:31:56Z",
"flightNumber": 123,
"artistIDs": [
"<string>"
],
"carNumber": "<string>",
"venueName": "<string>",
"confirmationNumber": "<string>",
"venueParkingLotsOpenDate": "2023-11-07T05:31:56Z",
"originalBoardingDate": "2023-11-07T05:31:56Z",
"awayTeamName": "<string>",
"albumIDs": [
"<string>"
],
"destinationPlatform": "<string>",
"homeTeamAbbreviation": "<string>",
"sportName": "<string>",
"departureAirportName": "<string>",
"wifiAccess": [
{
"password": "<string>",
"ssid": "<string>"
}
],
"eventStartDate": "2023-11-07T05:31:56Z",
"passengerName": {
"namePrefix": "<string>",
"familyName": "<string>",
"givenName": "<string>",
"nickname": "<string>",
"nameSuffix": "<string>",
"middleName": "<string>",
"phoneticRepresentation": "<string>"
},
"destinationAirportCode": "<string>",
"vehicleName": "<string>",
"entranceDescription": "<string>",
"departureGate": "<string>",
"venueEntranceGate": "<string>",
"venueRoom": "<string>",
"venueFanZoneOpenDate": "2023-11-07T05:31:56Z",
"venueBoxOfficeOpenDate": "2023-11-07T05:31:56Z",
"departureLocationDescription": "<string>",
"originalDepartureDate": "2023-11-07T05:31:56Z",
"duration": 123,
"boardingGroup": "<string>",
"currentDepartureDate": "2023-11-07T05:31:56Z",
"destinationTerminal": "<string>",
"genre": "<string>",
"airlineCode": "<string>",
"currentArrivalDate": "2023-11-07T05:31:56Z",
"admissionLevel": "<string>",
"originalArrivalDate": "2023-11-07T05:31:56Z",
"eventEndDate": "2023-11-07T05:31:56Z",
"departureTerminal": "<string>",
"membershipProgramName": "<string>",
"transitProvider": "<string>",
"flightCode": "<string>",
"transitStatusReason": "<string>",
"venueGatesOpenDate": "2023-11-07T05:31:56Z",
"venueEntranceDoor": "<string>",
"performerNames": [
"<string>"
],
"venueDoorsOpenDate": "2023-11-07T05:31:56Z",
"transitStatus": "<string>",
"venueRegionName": "<string>",
"departureStationName": "<string>",
"homeTeamName": "<string>",
"destinationStationName": "<string>",
"venueCloseDate": "2023-11-07T05:31:56Z"
},
"membershipStatus": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": true,
"email": "jsmith@example.com"
}
}
'import requests
url = "https://api.platform.getstell.com/v1/apple/passes/secure"
payload = {
"programId": "<string>",
"templateOverrides": {
"logoText": "<string>",
"fieldOverrides": {
"backFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"secondaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"mergeStrategy": "MERGE",
"primaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"headerFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"auxiliaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
]
},
"images": {
"footerImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"artworkImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"logoImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"iconImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"backgroundImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"stripImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"thumbnailImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
}
},
"overrideMetadata": {},
"overrideReason": "<string>",
"maxDistance": 2,
"actions": {},
"colors": {
"backgroundColor": "<string>",
"foregroundColor": "<string>",
"stripColor": "<string>",
"labelColor": "<string>"
}
},
"payload": "<string>",
"externalId": "<string>",
"semanticTagOverrides": {
"eventLiveMessage": "<string>",
"leagueAbbreviation": "<string>",
"venuePhoneNumber": "<string>",
"priorityStatus": "<string>",
"tailgatingAllowed": True,
"seats": [
{
"seatIdentifier": "<string>",
"seatType": "<string>",
"seatDescription": "<string>",
"seatSection": "<string>",
"seatRow": "<string>",
"seatAisle": "<string>",
"seatSectionColor": "<string>",
"seatNumber": "<string>",
"seatLevel": "<string>"
}
],
"attendeeName": "<string>",
"leagueName": "<string>",
"securityScreening": "<string>",
"venueEntrance": "<string>",
"destinationGate": "<string>",
"playlistIDs": ["<string>"],
"eventName": "<string>",
"vehicleNumber": "<string>",
"airplay": [{ "airPlayDeviceGroupToken": "<string>" }],
"homeTeamLocation": "<string>",
"silenceRequested": True,
"awayTeamAbbreviation": "<string>",
"departureAirportCode": "<string>",
"vehicleType": "<string>",
"departurePlatform": "<string>",
"awayTeamLocation": "<string>",
"destinationLocationDescription": "<string>",
"boardingSequenceNumber": "<string>",
"venueEntrancePortal": "<string>",
"additionalTicketAttributes": "<string>",
"destinationAirportName": "<string>",
"membershipProgramNumber": "<string>",
"venueOpenDate": "2023-11-07T05:31:56Z",
"admissionLevelAbbreviation": "<string>",
"currentBoardingDate": "2023-11-07T05:31:56Z",
"flightNumber": 123,
"artistIDs": ["<string>"],
"carNumber": "<string>",
"venueName": "<string>",
"confirmationNumber": "<string>",
"venueParkingLotsOpenDate": "2023-11-07T05:31:56Z",
"originalBoardingDate": "2023-11-07T05:31:56Z",
"awayTeamName": "<string>",
"albumIDs": ["<string>"],
"destinationPlatform": "<string>",
"homeTeamAbbreviation": "<string>",
"sportName": "<string>",
"departureAirportName": "<string>",
"wifiAccess": [
{
"password": "<string>",
"ssid": "<string>"
}
],
"eventStartDate": "2023-11-07T05:31:56Z",
"passengerName": {
"namePrefix": "<string>",
"familyName": "<string>",
"givenName": "<string>",
"nickname": "<string>",
"nameSuffix": "<string>",
"middleName": "<string>",
"phoneticRepresentation": "<string>"
},
"destinationAirportCode": "<string>",
"vehicleName": "<string>",
"entranceDescription": "<string>",
"departureGate": "<string>",
"venueEntranceGate": "<string>",
"venueRoom": "<string>",
"venueFanZoneOpenDate": "2023-11-07T05:31:56Z",
"venueBoxOfficeOpenDate": "2023-11-07T05:31:56Z",
"departureLocationDescription": "<string>",
"originalDepartureDate": "2023-11-07T05:31:56Z",
"duration": 123,
"boardingGroup": "<string>",
"currentDepartureDate": "2023-11-07T05:31:56Z",
"destinationTerminal": "<string>",
"genre": "<string>",
"airlineCode": "<string>",
"currentArrivalDate": "2023-11-07T05:31:56Z",
"admissionLevel": "<string>",
"originalArrivalDate": "2023-11-07T05:31:56Z",
"eventEndDate": "2023-11-07T05:31:56Z",
"departureTerminal": "<string>",
"membershipProgramName": "<string>",
"transitProvider": "<string>",
"flightCode": "<string>",
"transitStatusReason": "<string>",
"venueGatesOpenDate": "2023-11-07T05:31:56Z",
"venueEntranceDoor": "<string>",
"performerNames": ["<string>"],
"venueDoorsOpenDate": "2023-11-07T05:31:56Z",
"transitStatus": "<string>",
"venueRegionName": "<string>",
"departureStationName": "<string>",
"homeTeamName": "<string>",
"destinationStationName": "<string>",
"venueCloseDate": "2023-11-07T05:31:56Z"
},
"membershipStatus": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": True,
"email": "jsmith@example.com"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"secureUrl": "<string>",
"pass": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"programId": "<string>",
"status": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"maxDistance": 2,
"membershipStatus": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": true,
"email": "<string>"
}
}
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Create secure Apple Wallet pass
Create a secure Apple Wallet pass with account binding and enhanced security.
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
programId: '<string>',
templateOverrides: {
logoText: '<string>',
fieldOverrides: {
backFields: [{value: '<string>', key: '<string>', label: '<string>'}],
secondaryFields: [{value: '<string>', key: '<string>', label: '<string>'}],
mergeStrategy: 'MERGE',
primaryFields: [{value: '<string>', key: '<string>', label: '<string>'}],
headerFields: [{value: '<string>', key: '<string>', label: '<string>'}],
auxiliaryFields: [{value: '<string>', key: '<string>', label: '<string>'}]
},
images: {
footerImage: {sourceUrl: '<string>', uploadId: '<string>'},
artworkImage: {sourceUrl: '<string>', uploadId: '<string>'},
logoImage: {sourceUrl: '<string>', uploadId: '<string>'},
iconImage: {sourceUrl: '<string>', uploadId: '<string>'},
backgroundImage: {sourceUrl: '<string>', uploadId: '<string>'},
stripImage: {sourceUrl: '<string>', uploadId: '<string>'},
thumbnailImage: {sourceUrl: '<string>', uploadId: '<string>'}
},
overrideMetadata: {},
overrideReason: '<string>',
maxDistance: 2,
actions: {},
colors: {
backgroundColor: '<string>',
foregroundColor: '<string>',
stripColor: '<string>',
labelColor: '<string>'
}
},
payload: '<string>',
externalId: '<string>',
semanticTagOverrides: {
eventLiveMessage: '<string>',
leagueAbbreviation: '<string>',
venuePhoneNumber: '<string>',
priorityStatus: '<string>',
tailgatingAllowed: true,
seats: [
{
seatIdentifier: '<string>',
seatType: '<string>',
seatDescription: '<string>',
seatSection: '<string>',
seatRow: '<string>',
seatAisle: '<string>',
seatSectionColor: '<string>',
seatNumber: '<string>',
seatLevel: '<string>'
}
],
attendeeName: '<string>',
leagueName: '<string>',
securityScreening: '<string>',
venueEntrance: '<string>',
destinationGate: '<string>',
playlistIDs: ['<string>'],
eventName: '<string>',
vehicleNumber: '<string>',
airplay: [{airPlayDeviceGroupToken: '<string>'}],
homeTeamLocation: '<string>',
silenceRequested: true,
awayTeamAbbreviation: '<string>',
departureAirportCode: '<string>',
vehicleType: '<string>',
departurePlatform: '<string>',
awayTeamLocation: '<string>',
destinationLocationDescription: '<string>',
boardingSequenceNumber: '<string>',
venueEntrancePortal: '<string>',
additionalTicketAttributes: '<string>',
destinationAirportName: '<string>',
membershipProgramNumber: '<string>',
venueOpenDate: '2023-11-07T05:31:56Z',
admissionLevelAbbreviation: '<string>',
currentBoardingDate: '2023-11-07T05:31:56Z',
flightNumber: 123,
artistIDs: ['<string>'],
carNumber: '<string>',
venueName: '<string>',
confirmationNumber: '<string>',
venueParkingLotsOpenDate: '2023-11-07T05:31:56Z',
originalBoardingDate: '2023-11-07T05:31:56Z',
awayTeamName: '<string>',
albumIDs: ['<string>'],
destinationPlatform: '<string>',
homeTeamAbbreviation: '<string>',
sportName: '<string>',
departureAirportName: '<string>',
wifiAccess: [{password: '<string>', ssid: '<string>'}],
eventStartDate: '2023-11-07T05:31:56Z',
passengerName: {
namePrefix: '<string>',
familyName: '<string>',
givenName: '<string>',
nickname: '<string>',
nameSuffix: '<string>',
middleName: '<string>',
phoneticRepresentation: '<string>'
},
destinationAirportCode: '<string>',
vehicleName: '<string>',
entranceDescription: '<string>',
departureGate: '<string>',
venueEntranceGate: '<string>',
venueRoom: '<string>',
venueFanZoneOpenDate: '2023-11-07T05:31:56Z',
venueBoxOfficeOpenDate: '2023-11-07T05:31:56Z',
departureLocationDescription: '<string>',
originalDepartureDate: '2023-11-07T05:31:56Z',
duration: 123,
boardingGroup: '<string>',
currentDepartureDate: '2023-11-07T05:31:56Z',
destinationTerminal: '<string>',
genre: '<string>',
airlineCode: '<string>',
currentArrivalDate: '2023-11-07T05:31:56Z',
admissionLevel: '<string>',
originalArrivalDate: '2023-11-07T05:31:56Z',
eventEndDate: '2023-11-07T05:31:56Z',
departureTerminal: '<string>',
membershipProgramName: '<string>',
transitProvider: '<string>',
flightCode: '<string>',
transitStatusReason: '<string>',
venueGatesOpenDate: '2023-11-07T05:31:56Z',
venueEntranceDoor: '<string>',
performerNames: ['<string>'],
venueDoorsOpenDate: '2023-11-07T05:31:56Z',
transitStatus: '<string>',
venueRegionName: '<string>',
departureStationName: '<string>',
homeTeamName: '<string>',
destinationStationName: '<string>',
venueCloseDate: '2023-11-07T05:31:56Z'
},
membershipStatus: '<string>',
customer: {
firstName: '<string>',
lastName: '<string>',
emailAddress: 'jsmith@example.com',
personalId: '<string>',
lookupSource: '<string>',
phone: '<string>',
mobileNumber: '<string>',
isNew: true,
email: 'jsmith@example.com'
}
})
};
fetch('https://api.platform.getstell.com/v1/apple/passes/secure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.platform.getstell.com/v1/apple/passes/secure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"programId": "<string>",
"templateOverrides": {
"logoText": "<string>",
"fieldOverrides": {
"backFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"secondaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"mergeStrategy": "MERGE",
"primaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"headerFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"auxiliaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
]
},
"images": {
"footerImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"artworkImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"logoImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"iconImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"backgroundImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"stripImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"thumbnailImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
}
},
"overrideMetadata": {},
"overrideReason": "<string>",
"maxDistance": 2,
"actions": {},
"colors": {
"backgroundColor": "<string>",
"foregroundColor": "<string>",
"stripColor": "<string>",
"labelColor": "<string>"
}
},
"payload": "<string>",
"externalId": "<string>",
"semanticTagOverrides": {
"eventLiveMessage": "<string>",
"leagueAbbreviation": "<string>",
"venuePhoneNumber": "<string>",
"priorityStatus": "<string>",
"tailgatingAllowed": true,
"seats": [
{
"seatIdentifier": "<string>",
"seatType": "<string>",
"seatDescription": "<string>",
"seatSection": "<string>",
"seatRow": "<string>",
"seatAisle": "<string>",
"seatSectionColor": "<string>",
"seatNumber": "<string>",
"seatLevel": "<string>"
}
],
"attendeeName": "<string>",
"leagueName": "<string>",
"securityScreening": "<string>",
"venueEntrance": "<string>",
"destinationGate": "<string>",
"playlistIDs": [
"<string>"
],
"eventName": "<string>",
"vehicleNumber": "<string>",
"airplay": [
{
"airPlayDeviceGroupToken": "<string>"
}
],
"homeTeamLocation": "<string>",
"silenceRequested": true,
"awayTeamAbbreviation": "<string>",
"departureAirportCode": "<string>",
"vehicleType": "<string>",
"departurePlatform": "<string>",
"awayTeamLocation": "<string>",
"destinationLocationDescription": "<string>",
"boardingSequenceNumber": "<string>",
"venueEntrancePortal": "<string>",
"additionalTicketAttributes": "<string>",
"destinationAirportName": "<string>",
"membershipProgramNumber": "<string>",
"venueOpenDate": "2023-11-07T05:31:56Z",
"admissionLevelAbbreviation": "<string>",
"currentBoardingDate": "2023-11-07T05:31:56Z",
"flightNumber": 123,
"artistIDs": [
"<string>"
],
"carNumber": "<string>",
"venueName": "<string>",
"confirmationNumber": "<string>",
"venueParkingLotsOpenDate": "2023-11-07T05:31:56Z",
"originalBoardingDate": "2023-11-07T05:31:56Z",
"awayTeamName": "<string>",
"albumIDs": [
"<string>"
],
"destinationPlatform": "<string>",
"homeTeamAbbreviation": "<string>",
"sportName": "<string>",
"departureAirportName": "<string>",
"wifiAccess": [
{
"password": "<string>",
"ssid": "<string>"
}
],
"eventStartDate": "2023-11-07T05:31:56Z",
"passengerName": {
"namePrefix": "<string>",
"familyName": "<string>",
"givenName": "<string>",
"nickname": "<string>",
"nameSuffix": "<string>",
"middleName": "<string>",
"phoneticRepresentation": "<string>"
},
"destinationAirportCode": "<string>",
"vehicleName": "<string>",
"entranceDescription": "<string>",
"departureGate": "<string>",
"venueEntranceGate": "<string>",
"venueRoom": "<string>",
"venueFanZoneOpenDate": "2023-11-07T05:31:56Z",
"venueBoxOfficeOpenDate": "2023-11-07T05:31:56Z",
"departureLocationDescription": "<string>",
"originalDepartureDate": "2023-11-07T05:31:56Z",
"duration": 123,
"boardingGroup": "<string>",
"currentDepartureDate": "2023-11-07T05:31:56Z",
"destinationTerminal": "<string>",
"genre": "<string>",
"airlineCode": "<string>",
"currentArrivalDate": "2023-11-07T05:31:56Z",
"admissionLevel": "<string>",
"originalArrivalDate": "2023-11-07T05:31:56Z",
"eventEndDate": "2023-11-07T05:31:56Z",
"departureTerminal": "<string>",
"membershipProgramName": "<string>",
"transitProvider": "<string>",
"flightCode": "<string>",
"transitStatusReason": "<string>",
"venueGatesOpenDate": "2023-11-07T05:31:56Z",
"venueEntranceDoor": "<string>",
"performerNames": [
"<string>"
],
"venueDoorsOpenDate": "2023-11-07T05:31:56Z",
"transitStatus": "<string>",
"venueRegionName": "<string>",
"departureStationName": "<string>",
"homeTeamName": "<string>",
"destinationStationName": "<string>",
"venueCloseDate": "2023-11-07T05:31:56Z"
},
"membershipStatus": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": true,
"email": "jsmith@example.com"
}
}
'import requests
url = "https://api.platform.getstell.com/v1/apple/passes/secure"
payload = {
"programId": "<string>",
"templateOverrides": {
"logoText": "<string>",
"fieldOverrides": {
"backFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"secondaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"mergeStrategy": "MERGE",
"primaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"headerFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
],
"auxiliaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>"
}
]
},
"images": {
"footerImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"artworkImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"logoImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"iconImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"backgroundImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"stripImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
},
"thumbnailImage": {
"sourceUrl": "<string>",
"uploadId": "<string>"
}
},
"overrideMetadata": {},
"overrideReason": "<string>",
"maxDistance": 2,
"actions": {},
"colors": {
"backgroundColor": "<string>",
"foregroundColor": "<string>",
"stripColor": "<string>",
"labelColor": "<string>"
}
},
"payload": "<string>",
"externalId": "<string>",
"semanticTagOverrides": {
"eventLiveMessage": "<string>",
"leagueAbbreviation": "<string>",
"venuePhoneNumber": "<string>",
"priorityStatus": "<string>",
"tailgatingAllowed": True,
"seats": [
{
"seatIdentifier": "<string>",
"seatType": "<string>",
"seatDescription": "<string>",
"seatSection": "<string>",
"seatRow": "<string>",
"seatAisle": "<string>",
"seatSectionColor": "<string>",
"seatNumber": "<string>",
"seatLevel": "<string>"
}
],
"attendeeName": "<string>",
"leagueName": "<string>",
"securityScreening": "<string>",
"venueEntrance": "<string>",
"destinationGate": "<string>",
"playlistIDs": ["<string>"],
"eventName": "<string>",
"vehicleNumber": "<string>",
"airplay": [{ "airPlayDeviceGroupToken": "<string>" }],
"homeTeamLocation": "<string>",
"silenceRequested": True,
"awayTeamAbbreviation": "<string>",
"departureAirportCode": "<string>",
"vehicleType": "<string>",
"departurePlatform": "<string>",
"awayTeamLocation": "<string>",
"destinationLocationDescription": "<string>",
"boardingSequenceNumber": "<string>",
"venueEntrancePortal": "<string>",
"additionalTicketAttributes": "<string>",
"destinationAirportName": "<string>",
"membershipProgramNumber": "<string>",
"venueOpenDate": "2023-11-07T05:31:56Z",
"admissionLevelAbbreviation": "<string>",
"currentBoardingDate": "2023-11-07T05:31:56Z",
"flightNumber": 123,
"artistIDs": ["<string>"],
"carNumber": "<string>",
"venueName": "<string>",
"confirmationNumber": "<string>",
"venueParkingLotsOpenDate": "2023-11-07T05:31:56Z",
"originalBoardingDate": "2023-11-07T05:31:56Z",
"awayTeamName": "<string>",
"albumIDs": ["<string>"],
"destinationPlatform": "<string>",
"homeTeamAbbreviation": "<string>",
"sportName": "<string>",
"departureAirportName": "<string>",
"wifiAccess": [
{
"password": "<string>",
"ssid": "<string>"
}
],
"eventStartDate": "2023-11-07T05:31:56Z",
"passengerName": {
"namePrefix": "<string>",
"familyName": "<string>",
"givenName": "<string>",
"nickname": "<string>",
"nameSuffix": "<string>",
"middleName": "<string>",
"phoneticRepresentation": "<string>"
},
"destinationAirportCode": "<string>",
"vehicleName": "<string>",
"entranceDescription": "<string>",
"departureGate": "<string>",
"venueEntranceGate": "<string>",
"venueRoom": "<string>",
"venueFanZoneOpenDate": "2023-11-07T05:31:56Z",
"venueBoxOfficeOpenDate": "2023-11-07T05:31:56Z",
"departureLocationDescription": "<string>",
"originalDepartureDate": "2023-11-07T05:31:56Z",
"duration": 123,
"boardingGroup": "<string>",
"currentDepartureDate": "2023-11-07T05:31:56Z",
"destinationTerminal": "<string>",
"genre": "<string>",
"airlineCode": "<string>",
"currentArrivalDate": "2023-11-07T05:31:56Z",
"admissionLevel": "<string>",
"originalArrivalDate": "2023-11-07T05:31:56Z",
"eventEndDate": "2023-11-07T05:31:56Z",
"departureTerminal": "<string>",
"membershipProgramName": "<string>",
"transitProvider": "<string>",
"flightCode": "<string>",
"transitStatusReason": "<string>",
"venueGatesOpenDate": "2023-11-07T05:31:56Z",
"venueEntranceDoor": "<string>",
"performerNames": ["<string>"],
"venueDoorsOpenDate": "2023-11-07T05:31:56Z",
"transitStatus": "<string>",
"venueRegionName": "<string>",
"departureStationName": "<string>",
"homeTeamName": "<string>",
"destinationStationName": "<string>",
"venueCloseDate": "2023-11-07T05:31:56Z"
},
"membershipStatus": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": True,
"email": "jsmith@example.com"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"secureUrl": "<string>",
"pass": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"programId": "<string>",
"status": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"maxDistance": 2,
"membershipStatus": "<string>",
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"personalId": "<string>",
"lookupSource": "<string>",
"phone": "<string>",
"mobileNumber": "<string>",
"isNew": true,
"email": "<string>"
}
}
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Body
Data for Apple secure pass with account binding.
ID of the program to create pass for
1Detailed tracking of how the pass was created
Show child attributes
Show child attributes
Template overrides for dynamic pass customization based on business logic (e.g., member tiers, promotions). All fields are optional.
Show child attributes
Show child attributes
NFC or QR payload (defaults to pass ID if not provided)
External reference ID
Semantic tags for Apple Wallet passes: seating, flight, event and location details that Wallet and Siri use for suggestions. All fields are optional; send the ones that apply to your pass type.
Show child attributes
Show child attributes
Merchant-defined account status (e.g., "Active", "Suspended", "On Hold")
255Customer information
Show child attributes
Show child attributes